<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../qengine/engine/AbstractEngine.Impl.html#get()">get()</a></span> - Method in enum qengine.engine.<a href="../qengine/engine/AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a></dt>
<dd>
<div class="block">Retourne une instance du type représenté par ce membre de l'énumération.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#get(java.lang.String)">get(String)</a></span> - Static method in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Retourne la durée en millisecondes associée au nom donné.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.Impl.html#get(qengine.engine.AbstractEngine.Impl,qengine.engine.AbstractEngine.Impl)">get(AbstractEngine.Impl, AbstractEngine.Impl)</a></span> - Method in enum qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.Impl.html" title="enum in qengine.engine.comparator">AbstractEngineComparator.Impl</a></dt>
<dd>
<div class="block">Retourne une instance du type représenté par ce membre de l'énumération.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/Dictionary.html#getData(int)">getData(int)</a></span> - Method in interface qengine.dictionary.<a href="../qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a></dt>
<dd>
<div class="block">Retrouve la donnée dans la liste.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/HashMapIndexedDictionary.html#getData(int)">getData(int)</a></span> - Method in class qengine.dictionary.<a href="../qengine/dictionary/HashMapIndexedDictionary.html" title="class in qengine.dictionary">HashMapIndexedDictionary</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/Dictionary.html#getIndex(java.lang.String)">getIndex(String)</a></span> - Method in interface qengine.dictionary.<a href="../qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a></dt>
<dd>
<div class="block">Retrouve l'indice de la donnée.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/HashMapIndexedDictionary.html#getIndex(java.lang.String)">getIndex(String)</a></span> - Method in class qengine.dictionary.<a href="../qengine/dictionary/HashMapIndexedDictionary.html" title="class in qengine.dictionary">HashMapIndexedDictionary</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/Pattern.html#getObject()">getObject()</a></span> - Method in interface qengine.query.pattern.<a href="../qengine/query/pattern/Pattern.html" title="interface in qengine.query.pattern">Pattern</a></dt>
<dd>
<div class="block">Retourne l'identifiant de l'objet.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/SubjectPattern.html#getObject()">getObject()</a></span> - Method in class qengine.query.pattern.<a href="../qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern">SubjectPattern</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/collector/SubjectPatternCollector.html#getPatterns()">getPatterns()</a></span> - Method in class qengine.query.pattern.collector.<a href="../qengine/query/pattern/collector/SubjectPatternCollector.html" title="class in qengine.query.pattern.collector">SubjectPatternCollector</a></dt>
<dd>
<div class="block">Retourne la liste des patrons rencontrés et traduits.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/Pattern.html#getPredicate()">getPredicate()</a></span> - Method in interface qengine.query.pattern.<a href="../qengine/query/pattern/Pattern.html" title="interface in qengine.query.pattern">Pattern</a></dt>
<dd>
<div class="block">Retourne l'identifiant du prédicat.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/SubjectPattern.html#getPredicate()">getPredicate()</a></span> - Method in class qengine.query.pattern.<a href="../qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern">SubjectPattern</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/Pattern.html#getSubject()">getSubject()</a></span> - Method in interface qengine.query.pattern.<a href="../qengine/query/pattern/Pattern.html" title="interface in qengine.query.pattern">Pattern</a></dt>
<dd>
<div class="block">Retourne l'identifiant du sujet.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/SubjectPattern.html#getSubject()">getSubject()</a></span> - Method in class qengine.query.pattern.<a href="../qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern">SubjectPattern</a></dt>
<dd>
<div class="block">Ce patron concerne le sujet, donc pas de valeur valide rendue.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
